package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag972;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT972Creator;

/**
 * @author hedonghao
 * @date 2023/2/25
 */
public class Tag20Creator extends AbsTagCreate {

    private MT972Creator mt972Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt972Creator= (MT972Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value=mt972Creator.getTranReferenceNum();
        mt972Creator.set("20",tag20Value);
    }
}
